#################################################################
# Makefile generated by Xilinx Platform Studio 
# Project:F:\av\trunk\avfpga\avfpga.xmp
#################################################################

XILINX_EDK_DIR = G:/EDK

SYSTEM = avfpga

MHSFILE = avfpga.mhs

MSSFILE = avfpga.mss

FPGA_ARCH = virtex2

DEVICE = xc2v2000ff896-4

LANGUAGE = verilog

SEARCHPATHOPT = 

SUBMODULE_OPT = 

PLATGEN_OPTIONS = -p $(DEVICE) -lang $(LANGUAGE) $(SEARCHPATHOPT) $(SUBMODULE_OPT)

LIBGEN_OPTIONS = -mhs $(MHSFILE) -p $(DEVICE) $(SEARCHPATHOPT) \
                   $(MICROBLAZE_0_LIBG_OPT)

VPGEN_OPTIONS = -p $(DEVICE) $(SEARCHPATHOPT)

SYSTEM_OUTPUT_DIR = System
SYSTEM_OUTPUT = $(SYSTEM_OUTPUT_DIR)/executable.elf

MICROBLAZE_BOOTLOOP = $(XILINX_EDK_DIR)/sw/lib/microblaze/mb_bootloop.elf
PPC405_BOOTLOOP = $(XILINX_EDK_DIR)/sw/lib/ppc405/ppc_bootloop.elf
PPC440_BOOTLOOP = $(XILINX_EDK_DIR)/sw/lib/ppc440/ppc440_bootloop.elf
BOOTLOOP_DIR = bootloops

MICROBLAZE_0_BOOTLOOP = $(BOOTLOOP_DIR)/microblaze_0.elf
MICROBLAZE_0_XMDSTUB = microblaze_0/code/xmdstub.elf

BRAMINIT_ELF_FILES =  $(SYSTEM_OUTPUT)  $(MICROBLAZE_0_XMDSTUB) 
BRAMINIT_ELF_FILE_ARGS =   -pe microblaze_0 $(SYSTEM_OUTPUT)  $(MICROBLAZE_0_XMDSTUB) 

ALL_USER_ELF_FILES = $(SYSTEM_OUTPUT) 

SIM_CMD = vsim

BEHAVIORAL_SIM_SCRIPT = simulation/behavioral/$(SYSTEM).do

STRUCTURAL_SIM_SCRIPT = simulation/structural/$(SYSTEM).do

TIMING_SIM_SCRIPT = simulation/timing/$(SYSTEM).do

DEFAULT_SIM_SCRIPT = $(BEHAVIORAL_SIM_SCRIPT)

MIX_LANG_SIM_OPT = -mixed yes

SIMGEN_OPTIONS = -p $(DEVICE) -lang $(LANGUAGE) $(SEARCHPATHOPT) $(BRAMINIT_ELF_FILE_ARGS) $(MIX_LANG_SIM_OPT)  -s mti -X C:/Xilinx/modeltech/xlibs/ -E C:/Xilinx/modeltech/EDK_Lib/

MICROBLAZE_0_XMDSTUB = microblaze_0/code/xmdstub.elf

LIBRARIES =  \
       microblaze_0/lib/libxil.a 
VPEXEC = virtualplatform/vpexec.exe

LIBSCLEAN_TARGETS = microblaze_0_libsclean 

PROGRAMCLEAN_TARGETS = System_programclean 

CORE_STATE_DEVELOPMENT_FILES = 

WRAPPER_NGC_FILES = implementation/microblaze_0_wrapper.ngc \
implementation/mb_opb_wrapper.ngc \
implementation/debug_module_wrapper.ngc \
implementation/ilmb_wrapper.ngc \
implementation/dlmb_wrapper.ngc \
implementation/dlmb_cntlr_wrapper.ngc \
implementation/ilmb_cntlr_wrapper.ngc \
implementation/lmb_bram_wrapper.ngc \
implementation/rs232_wrapper.ngc \
implementation/dcm_sys_wrapper.ngc \
implementation/opb_ac97_controller_0_wrapper.ngc \
implementation/opb_fft_controller_0_wrapper.ngc \
implementation/opb_vga_0_wrapper.ngc \
implementation/opb_vga_zbt_0_wrapper.ngc \
implementation/opb_vga_zbt_1_wrapper.ngc \
implementation/dcm_zbt_wrapper.ngc \
implementation/clk_align_0_wrapper.ngc \
implementation/dcm_vga_wrapper.ngc \
implementation/fsl_render_module_wrapper.ngc \
implementation/render_module_0_wrapper.ngc \
implementation/opb_vga_zbt_2_wrapper.ngc \
implementation/dcm_vga_out_wrapper.ngc \
implementation/opb_pb_0_wrapper.ngc

POSTSYN_NETLIST = implementation/$(SYSTEM).ngc

SYSTEM_BIT = implementation/$(SYSTEM).bit

DOWNLOAD_BIT = implementation/download.bit

SYSTEM_ACE = implementation/$(SYSTEM).ace

UCF_FILE = data/avfpga.ucf

BMM_FILE = implementation/$(SYSTEM).bmm

BITGEN_UT_FILE = etc/bitgen.ut

XFLOW_OPT_FILE = etc/fast_runtime.opt
XFLOW_DEPENDENCY = __xps/xpsxflow.opt $(XFLOW_OPT_FILE)

XPLORER_DEPENDENCY = __xps/xplorer.opt
XPLORER_OPTIONS = -p $(DEVICE) -uc $(SYSTEM).ucf -bm $(SYSTEM).bmm -max_runs 7

FPGA_IMP_DEPENDENCY = $(BMM_FILE) $(POSTSYN_NETLIST) $(UCF_FILE) $(BITGEN_UT_FILE) $(XFLOW_DEPENDENCY)

#################################################################
# SOFTWARE APPLICATION SYSTEM
#################################################################

SYSTEM_SOURCES = code/system.c code/render_ops.c 

SYSTEM_HEADERS = code/render_ops.h code/colours.h 

SYSTEM_CC = mb-gcc
SYSTEM_CC_SIZE = mb-size
SYSTEM_CC_OPT = -O0
SYSTEM_CFLAGS = 
SYSTEM_CC_SEARCH = # -B
SYSTEM_LIBPATH = -L./microblaze_0/lib/ # -L
SYSTEM_INCLUDES = -I./microblaze_0/include/  -Icode/ # -I
SYSTEM_LFLAGS = # -l
SYSTEM_LINKER_SCRIPT = 
SYSTEM_LINKER_SCRIPT_FLAG = #-Wl,-T -Wl,$(SYSTEM_LINKER_SCRIPT) 
SYSTEM_CC_DEBUG_FLAG =  -g 
SYSTEM_CC_PROFILE_FLAG = # -pg
SYSTEM_CC_GLOBPTR_FLAG= # -mxl-gp-opt
SYSTEM_MODE = xmdstub
SYSTEM_LIBG_OPT = -$(SYSTEM_MODE) microblaze_0
SYSTEM_CC_SOFTMUL_FLAG= -mno-xl-soft-mul 
SYSTEM_CC_START_ADDR_FLAG=  # -Wl,-defsym -Wl,_TEXT_START_ADDR=
SYSTEM_CC_STACK_SIZE_FLAG=  # -Wl,-defsym -Wl,_STACK_SIZE=
SYSTEM_CC_HEAP_SIZE_FLAG=  # -Wl,-defsym -Wl,_HEAP_SIZE=
SYSTEM_OTHER_CC_FLAGS=  -mcpu=v5.00.c $(SYSTEM_CC_GLOBPTR_FLAG)  \
                  $(SYSTEM_CC_START_ADDR_FLAG) $(SYSTEM_CC_STACK_SIZE_FLAG) $(SYSTEM_CC_HEAP_SIZE_FLAG)  \
                  $(SYSTEM_CC_SOFTMUL_FLAG)  -mhard-float -mxl-pattern-compare \
                  $(SYSTEM_LINKER_SCRIPT_FLAG) $(SYSTEM_CC_DEBUG_FLAG) $(SYSTEM_CC_PROFILE_FLAG) 
