#ifndef RENDER_OPS_H
#define RENDER_OPS_H

#include "colours.h"
#include "fsl.h"

static const Xuint32 OP_FLIP_BUFFER = 0 ;
static const Xuint32 OP_DRAW_FFT_BIN = 1 ;
static const Xuint32 OP_CLEAR_BUFFER = 2 ;
static const Xuint32 OP_FADE_BUFFER = 3 ;
static const Xuint32 OP_DISABLE_MIRROR = 4 ;

#define RENDER_MODULE_FSL_ID 0	// must be define
#define PUT_RM_FSL(v) putfsl((v), RENDER_MODULE_FSL_ID)

static inline void rm_flip_buffer() {
	PUT_RM_FSL( OP_FLIP_BUFFER ) ;
}

static inline void rm_disable_mirror() {
	PUT_RM_FSL( OP_DISABLE_MIRROR ) ;
}

void rm_clear_buffer( colour_t colour ) ;
void rm_draw_fft_bin( Xuint32 yStart, Xuint32 bin, colour_t colour ) ;
void rm_fade_buffer( colour_t fadeAmount ) ;

#endif
