-- clk_align.vhd file
----------------------------------------------------------------------------
library IEEE;
use IEEE.STD_Logic_1164.all; 
use IEEE.STD_Logic_arith.all;
use IEEE.STD_Logic_unsigned.all;


entity clk_align is
  port(
    external_clk      : in  STD_LOGIC;
    extend_dcm_reset  : in  STD_LOGIC;
    dcm0_locked       : in  STD_LOGIC;
    dcm1_locked       : in  STD_LOGIC;
    fpga_reset        : out STD_LOGIC;
    dcm_reset         : out STD_LOGIC
  );
end entity clk_align;

architecture behaviour of clk_align is
  signal dcm_reset_internal   : STD_LOGIC;
  signal fpga_reset_internal  : STD_LOGIC;
begin
  -- Assume active-high DCM and system reset signals
  dcm_reset_internal    <=  extend_dcm_reset ;
  fpga_reset_internal   <=  (not dcm0_locked) or (not dcm1_locked);

  -- Relay the internal signals to the output pins
  dcm_reset             <=  dcm_reset_internal;
  fpga_reset            <=  fpga_reset_internal;

end architecture behaviour;
