-------------------------------------------------------------------------------
-- $Id: opb_ac97_controller.vhd,v 1.1 2003/07/01 10:42:08 patoh Exp $
-------------------------------------------------------------------------------
-- opb_ac97_controller.vhd
-------------------------------------------------------------------------------
--
--                  ****************************
--                  ** Copyright Xilinx, Inc. **
--                  ** All rights reserved.   **
--                  ****************************
--
-------------------------------------------------------------------------------
-- Filename:        opb_ac97_controller.vhd
--
-- Description:     
--                  
-- VHDL-Standard:   VHDL'93
-------------------------------------------------------------------------------
-- Structure:   
--              opb_ac97_controller.vhd
--
-------------------------------------------------------------------------------
-- Author:          goran
-- Revision:        $Revision: 1.1 $
-- Date:            $Date: 2004/04/04 10:42:08 $
--
-- History:
--   goran  2002-01-09    First Version
--   Caleb  2004-03-31    Version 3.00e
--                        *fix ac 97 core for record
--                        *modify core for fsl functionality only
--                        *added chipscope core for debug only 
--   Caleb  2004-04-04    Version 3.10a
--                        *added opb functinality option
--                        *fix interrupt routines (OPB only)
--   
--
-------------------------------------------------------------------------------
-- Naming Conventions:
--      active low signals:                     "*_n"
--      clock signals:                          "clk", "clk_div#", "clk_#x" 
--      reset signals:                          "rst", "rst_n" 
--      generics:                               "C_*" 
--      user defined types:                     "*_TYPE" 
--      state machine next state:               "*_ns" 
--      state machine current state:            "*_cs" 
--      combinatorial signals:                  "*_com" 
--      pipelined or register delay signals:    "*_d#" 
--      counter signals:                        "*cnt*"
--      clock enable signals:                   "*_ce" 
--      internal version of output port         "*_i"
--      device pins:                            "*_pin" 
--      ports:                                  - Names begin with Uppercase 
--      processes:                              "*_PROCESS" 
--      component instantiations:               "<ENTITY_>I_<#|FUNC>
-------------------------------------------------------------------------------
library IEEE;
use IEEE.std_logic_1164.all;
use ieee.numeric_std.all;


entity OPB_AC97_CONTROLLER is
  port (
   	Out_FIFO_Rd_Count: IN std_logic_VECTOR(0 to 9);
	FFT_FIFO_Full: OUT std_logic
    );

end entity OPB_AC97_CONTROLLER;

architecture IMP of OPB_AC97_CONTROLLER is
begin
  FFT_FIFO_Full <= '1' when (unsigned(Out_FIFO_Rd_Count) = 1023) else '0';
  
end architecture IMP;



