library verilog;
use verilog.vl_types.all;
entity opb_fft_controller is
    generic(
        C_OPB_AWIDTH    : integer := 32;
        C_OPB_DWIDTH    : integer := 32;
        C_BASEADDR      : integer := 1048576;
        C_HIGHADDR      : integer := 2097151;
        STATE_INIT_0    : integer := 0;
        STATE_INIT_1    : integer := 1;
        STATE_IDLE      : integer := 2;
        STATE_WAIT_DATA : integer := 3;
        STATE_RD_INPUTS : integer := 4;
        STATE_WAIT_UNLOAD: integer := 5;
        STATE_WAIT_FINISH: integer := 6
    );
    port(
        OPB_Clk         : in     vl_logic;
        OPB_Rst         : in     vl_logic;
        OPB_ABus        : in     vl_logic_vector;
        OPB_BE          : in     vl_logic_vector(3 downto 0);
        OPB_RNW         : in     vl_logic;
        OPB_select      : in     vl_logic;
        OPB_seqAddr     : in     vl_logic;
        OPB_DBus        : in     vl_logic_vector;
        OPB_FFT_CONTROLLER_DBus: out    vl_logic_vector;
        OPB_FFT_CONTROLLER_errAck: out    vl_logic;
        OPB_FFT_CONTROLLER_retry: out    vl_logic;
        OPB_FFT_CONTROLLER_toutSup: out    vl_logic;
        OPB_FFT_CONTROLLER_xferAck: out    vl_logic;
        FFT_FIFO_Data   : in     vl_logic_vector(15 downto 0);
        FFT_FIFO_Full   : in     vl_logic;
        FFT_FIFO_Read   : out    vl_logic;
        start           : out    vl_logic;
        unload          : out    vl_logic;
        nfft_we         : out    vl_logic;
        fwd_inv_we      : out    vl_logic;
        xk_re           : in     vl_logic_vector(26 downto 0);
        xk_im           : in     vl_logic_vector(26 downto 0);
        xk_index        : in     vl_logic_vector(9 downto 0);
        rfd             : in     vl_logic;
        busy            : in     vl_logic;
        dv              : in     vl_logic;
        edone           : in     vl_logic
    );
end opb_fft_controller;
