# set up initial signals
force OPB_Clk -r 100ns 1 0ns, 0 50ns
force MEM_Clk -r 100ns 1 0ns, 0 50ns

force OPB_Rst 0
force OPB_ABus 0
force OPB_DBus 0
force OPB_BE 0
force OPB_RNW 0
force OPB_seqAddr 0
force OPB_select 0

force MIF1_addr 0
force MIF1_be 0
force MIF1_read 0
force MIF1_write 0
force MIF1_write_data 0
force MIF1_burst_size 0

force MIF2_addr 0
force MIF2_be 0
force MIF2_read 0
force MIF2_write 0
force MIF2_write_data 0
force MIF2_burst_size 0

run 100ns

# reset
force OPB_Rst 1
run 100ns

force OPB_Rst 0
run 100ns

force MIF1_be 4'b1111
force MIF2_be 4'b1111

# OPB: write 0xdeadbeef to 0
force OPB_ABus 0
force OPB_DBus 32'hdeadbeef
force OPB_BE 4'b1111
force OPB_select 1
force OPB_RNW 0
run 300ns

force OPB_select 0
run 900ns

# OPB: read from 0
force OPB_ABus 0
force OPB_DBus 0
force OPB_select 1
force OPB_RNW 1
run 300ns

force OPB_select 0
run 900ns

# OPB: write 0x1234fedc to 0x800
force OPB_ABus 'h800
force OPB_DBus 32'h1234fedc
force OPB_select 1
force OPB_RNW 0
run 300ns

force OPB_select 0
run 100ns

force OPB_DBus 0
run 200ns

# OPB: read from 0x800
force OPB_ABus 'h800
force OPB_DBus 0
force OPB_select 1
force OPB_RNW 1
run 300ns

force OPB_select 0
run 600ns

# MIF1 write to and OPB read from 0x1600
force MIF1_addr 'h1600
force MIF1_write 1
force MIF1_write_data 32'h55f00d66

force OPB_ABus 'h1600
force OPB_DBus 0
force OPB_select 1
force OPB_RNW 1
run 300ns

force MIF1_addr 0
force MIF1_write 0
force MIF1_write_data 0
run 600ns

force OPB_ABus 0
force OPB_DBus 0
force OPB_select 0
run 500ns

# MIF2 write to and OPB read from 0x3200
force MIF2_addr 'h3200
force MIF2_write 1
force MIF2_write_data 32'habcd1598

force OPB_ABus 'h3200
force OPB_DBus 0
force OPB_select 1
force OPB_RNW 1
run 300ns

force MIF2_addr 0
force MIF2_write 0
force MIF2_write_data 0
run 600ns

force OPB_ABus 0
force OPB_DBus 0
force OPB_select 0
run 500ns

# MIF1 write to and MIF2 write to 0x6400
force MIF1_addr 'h6400
force MIF1_write 1
force MIF1_write_data 32'h4564ad92

force MIF2_addr 'h6400
force MIF2_write 1
force MIF2_write_data 32'hfeed5670
run 200ns

force MIF1_addr 0
force MIF1_write 0
force MIF1_write_data 0
run 400ns

force MIF2_addr 0
force MIF2_write 0
force MIF2_write_data 0
run 800ns

# MIF2 read from 0x1600
force MIF2_addr 'h1600
force MIF2_read 1
run 200ns

force MIF2_addr 0
force MIF2_read 0
run 600ns

# MIF1 read from 0x3200
force MIF1_addr 'h3200
force MIF1_read 1
run 200ns

force MIF1_addr 0
force MIF1_read 0
run 600ns

# OPB read from 0x6400
force OPB_ABus 'h6400
force OPB_RNW 1
force OPB_select 1
run 200ns

force OPB_ABus 0
force OPB_select 0
run 600ns

run 500ns

# OPB write followed by immediate read
force OPB_ABus 0
force OPB_DBus 32'hffffffff
force OPB_RNW 0
force OPB_select 1
run 300ns

force OPB_ABus 0
force OPB_DBus 0
force OPB_RNW 1
force OPB_select 1
run 2000ns

force OPB_select 0
run 1000ns

