# set up initial signals
force OPB_Clk -r 100ns 1 0ns, 0 50ns
force MEM_Clk -r 100ns 1 0ns, 0 50ns

force OPB_Rst 0
force OPB_ABus 0
force OPB_DBus 0
force OPB_BE 0
force OPB_RNW 0
force OPB_seqAddr 0
force OPB_select 0

force MIF1_addr 0
force MIF1_be 0
force MIF1_read 0
force MIF1_write 0
force MIF1_write_data 0
force MIF1_burst_size 0

force MIF2_addr 0
force MIF2_be 0
force MIF2_read 0
force MIF2_write 0
force MIF2_write_data 0
force MIF2_burst_size 0

run 100ns

# reset
force OPB_Rst 1
run 100ns

force OPB_Rst 0
run 100ns

force MIF1_be 4'b1111
force MIF2_be 4'b1111

# write 4 words starting at 0 via MIF1
force MIF1_addr 0
force MIF1_write 1
force MIF1_burst_size 2'd3
force MIF1_write_data 32'h1111ffff
run 300ns

force MIF1_write 0
force MIF1_write_data 32'h2222eeee
run 100ns

force MIF1_write_data 32'h3333dddd
run 100ns

force MIF1_write_data 32'h4444cccc
run 100ns

force MIF1_write_data 0
run 600ns

# read 4 words starting at 0 via MIF2
force MIF2_addr 0
force MIF2_read 1
force MIF2_burst_size 2'd3
run 300ns

force MIF2_read 0
run 1000ns

# read 3 words starting at 4 via MIF1
force MIF1_addr 32'h4
force MIF1_read 1
force MIF1_burst_size 2'd2
run 300ns

force MIF1_read 0
run 1000ns

# read 4 words starting at 8 via MIF2
force MIF2_addr 32'h8
force MIF2_read 1
force MIF2_burst_size 2'd3
run 300ns

force MIF2_read 0
run 1000ns

# OVERLAPPING OPERATION TESTS

# MIF1 write to 0, MIF1 write to 4, MIF1 write to 8, MIF1 read from 0, MIF1 write to 16, MIF1 read from 4, MIF1 read from 8, MIF1 read from 16
force MIF1_addr 32'd0
force MIF1_write 1
force MIF1_read 0
force MIF1_burst_size 2'd0
force MIF1_write_data 32'h10101010
run 300ns

force MIF1_addr 32'd4
force MIF1_write 1
force MIF1_read 0
force MIF1_write_data 32'h20202020
run 200ns

force MIF1_addr 32'd8
force MIF1_write 1
force MIF1_read 0
force MIF1_write_data 32'h30303030
run 200ns

force MIF1_addr 32'd0
force MIF1_write 0
force MIF1_read 1
force MIF1_write_data 32'h0
run 200ns

force MIF1_addr 32'd16
force MIF1_write 1
force MIF1_read 0
force MIF1_write_data 32'h40404040
run 200ns

force MIF1_addr 32'd4
force MIF1_write 0
force MIF1_read 1
force MIF1_write_data 32'h0
run 200ns

force MIF1_addr 32'd8
force MIF1_write 0
force MIF1_read 1
force MIF1_write_data 32'h0
run 200ns

force MIF1_addr 32'd16
force MIF1_write 0
force MIF1_read 1
force MIF1_write_data 32'h0
run 200ns

force MIF1_write 0
force MIF1_read 0
run 600ns

# MIF1 burst write to 0, MIF1 burst write to 16, MIF1 burst read from 0, MIF1 burst write to 32, MIF1 burst read from 16, MIF1 burst read from 32
force MIF1_burst_size 2'd3
force MIF1_addr 32'd0
force MIF1_write 1
force MIF1_read 0
force MIF1_write_data 32'h01000000
run 300ns

force MIF1_write_data 32'h02000000
run 100ns

force MIF1_write_data 32'h03000000
run 100ns

force MIF1_write_data 32'h04000000
run 100ns

force MIF1_addr 32'd16
force MIF1_write 1
force MIF1_read 0
force MIF1_write_data 32'h05000000
run 200ns

force MIF1_write_data 32'h06000000
run 100ns

force MIF1_write_data 32'h07000000
run 100ns

force MIF1_write_data 32'h08000000
run 100ns

force MIF1_addr 32'd0
force MIF1_write 0
force MIF1_read 1
force MIF1_write_data 32'h0
run 200ns

run 100ns
run 100ns
run 100ns

force MIF1_addr 32'd32
force MIF1_write 1
force MIF1_read 0
force MIF1_write_data 32'h09000000
run 200ns

force MIF1_write_data 32'h0a000000
run 100ns

force MIF1_write_data 32'h0b000000
run 100ns

force MIF1_write_data 32'h0c000000
run 100ns

force MIF1_addr 32'd16
force MIF1_write 0
force MIF1_read 1
force MIF1_write_data 32'h0
run 200ns

run 100ns
run 100ns
run 100ns

force MIF1_addr 32'd32
force MIF1_write 0
force MIF1_read 1
force MIF1_write_data 32'h0
run 200ns

run 100ns
run 100ns
run 100ns

force MIF1_write 0
force MIF1_read 0
run 600ns

# MIF1 burst read from 0 and OPB write to 4
force MIF1_addr 32'd0
force MIF1_read 1
force MIF1_burst_size 2'd3
force OPB_ABus 32'd4
force OPB_RNW 0
force OPB_DBus 32'hf00d1234
force OPB_select 1
force OPB_BE 4'b1111
run 200ns

force MIF1_read 0

run 800ns
force OPB_select 0

run 600ns
run 500ns
